## biosig4c++-1.7.7.src.tar.gz

=== DESCRIPTION ===
Name: BioSig
Version: 1.7.7
Date: 2016-03-10
Author: Alois Schloegl <alois.schloegl@ist.ac.at>
Maintainer: Alois Schloegl
Title: BioSig
Description: A software library for biomedical signal processing.
Depends: octave (> 2.9.0),
License: GPL version 3 or later
Url: http://biosig.sf.net

=== macports/science/libbiosig/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$

PortSystem          1.0
PortGroup           cmake 1.0

name                libbiosig
version             1.7.6
categories          science
platforms           darwin
license             GPL-3
maintainers         gmx.de:christsc
description         I/O library for biomedical data
long_description    BioSig is a library for accessing files in several \
                    biomedical data formats (including EDF, BDF, GDF, \
                    BrainVision, BCI2000, CFWB, HL7aECG, SCP_ECG (EN1064), \
                    MFER, ACQ, CNT(Neuroscan), DEMG, EGI, EEG1100, FAMOS, \
                    SigmaPLpro, TMS32)
homepage            http://biosig.sourceforge.net/index.html
master_sites        sourceforge:biosig
master_sites.mirror_subdir \
                    /BioSig%20for%20C_C++/src
distname            biosig4c++-${version}.src
worksrcdir          biosig4c++-${version}
checksums           rmd160  2a30535b7acb669f70a6f0b699601f7e127d7171 \
                    sha256  b341f2fe4a65275cefd367945fe8d8f1c418666baf832dfea7d9244bfb653fe1

depends_build-append \
                    port:gawk
depends_lib         port:SuiteSparse \
                    port:zlib \
                    port:libiconv

cmake.out_of_source yes

configure.args-append \
                    -DUSE_SUITESPARSE=ON \
                    -DUSE_ZLIB=ON \
                    -DZLIB_INCLUDE_DIR=${prefix}/include \
                    -DZLIB_LIBRARY=${prefix}/lib/libz.dylib \
                    -DICONV_LIBRARY=${prefix}/lib/libiconv.dylib \
                    -DCHOLMOD_LIBRARY=${prefix}/lib/libcholmod.dylib

configure.cflags-append \
                    -DMACPORTS

configure.cxxflags-append \
                    -DMACPORTS

livecheck.regex     biosig4c\\+\\+-(\[0-9a-z.\]+)\\.src${extract.suffix}
